Bug 1247472 - Component select list in clone bug page contains original bug's component
Component select list in clone bug page contains original bug's component
Status: CLOSED NOTABUG
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs (Show other bugs)
4.4
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-28 01:52 EDT by Rony Gong
Modified: 2017-10-09 21:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-09 21:38:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rony Gong 2015-07-28 01:52:01 EDT
Description of problem:
[Regression]Component select list in clone bug page contains original bug's component



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Create a bugzilla bug, set component as 'Bugzilla General'
2.Then clone this bug, but select different product, like 'Beaker'
3.Check the component select list in the clone bug page.

Actual results:
The component select list contains item 'Bugzilla General'

Expected results:
The component select list should not contain item 'Bugzilla General'

Additional info:
Comment 1 Jason McDonald 2015-07-28 02:41:48 EDT
I don't think this is a regression, as I can see the same issue on the current production system if the product selected for the new bug has >200 components (e.g. RHEL7).
Comment 2 Jeff Fearn 2015-07-28 20:19:57 EDT
Please stop putting regression in the title, use the keyword.
Comment 3 Rony Gong 2015-08-03 04:18:11 EDT
(In reply to Jason McDonald from comment #1)
> I don't think this is a regression, as I can see the same issue on the
> current production system if the product selected for the new bug has >200
> components (e.g. RHEL7).

Yes, As by your steps, I could also reproduce it on production, so remove the keyword 'regression'
Comment 4 Jeff Fearn 2017-10-09 21:38:52 EDT
This isn't a bug, you are allowed to clone a bug to the same component. Useful if there are multiple issues in a bug and you want to split it up in to several bugs.

Note You need to log in before you can comment on or make changes to this bug.